# Labels and tags

## Endpoints

### POST /users/{fp_id}/label
**Set the label for a user**

Set the label for the provided user. Unset the label by sending `null`.

### GET /users/{fp_id}/label
**Get the label for a user**

Gets the currently active label for the provided user.

### POST /users/{fp_id}/tags
**Add a tag for a user**

Adds a new free-form tag to the provided user.

### GET /users/{fp_id}/tags
**List tags for a user**

Lists the free-form tags on the provided user.

### DELETE /users/{fp_id}/tags/{tag_id}
**Delete a tag for a user**

Delete the provided free-form tag from the provided user.

### POST /businesses/{fp_id}/label
**Set the label for a business**

Set the label for the provided business. Unset the label by sending `null`.

### GET /businesses/{fp_id}/label
**Get the label for a business**

Gets the currently active label for the provided business.

### POST /businesses/{fp_id}/tags
**Add a tag for a business**

Adds a new free-form tag to the provided business.

### GET /businesses/{fp_id}/tags
**List tags for a business**

Lists the free-form tags on the provided business.

### DELETE /businesses/{fp_id}/tags/{tag_id}
**Delete a tag for a business**

Delete the provided free-form tag from the provided business.

# Labels and tags

In order to help you visualize your user base and improve the verification decisions that Footprint makes for your users and businesses, we support a set of interactive APIs to deliver feedback on entities onboarded through Footprint based on context specific to your application. We support this feedback in two ways:

* Labels are a way to provide a high-level determination about an entity, and to give feedback to Footprint to improve risk systems and detection. You can have 1 active Label per entity
* Tags are an unstructure way for you to organize, categorize and add metadata about your entity. An entity can have multiple tags